Carrier Settings
All operations require authentication.
List Carrier SIP servicesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ carrierSip \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a Carrier SIP serviceProduction
Path parameters
The name of your billingAccount
Response
All existing types
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ carrierSip/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "serviceName": "string", "serviceType": "alias"}
Get call detail recordsProduction
Path parameters
The name of your billingAccount
Query parameters
The month you want to extract (format: YYYY-MM). Current month if not specified.
Response
Description of the document
Identifier of the document
Name of the document
Document size (in bytes)
URL to get document
Document validation date
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ carrierSip/ {serviceName}/ cdrs \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "size": 0, "url": "string", "validationDate": "2024-01-01T12:00:00Z"}
Get the cluster detailsProduction
Path parameters
The name of your billingAccount
Response
The name of the cluster
The availability zones of the cluster
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ carrierSip/ {serviceName}/ clusterDetails \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "string", "zones": [ { "mediaIps": [ "192.0.2.0" ], "region": "rbx" } ]}
List SIP endpointsProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ carrierSip/ {serviceName}/ endpoints \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a SIP endpointProduction
Path parameters
The name of your billingAccount
Id of the object
Response
Should we send incoming calls to this endpoint
SIP Endpoint id
SIP Endpoint IP
SIP Endpoint port
SIP Endpoint priority (DNS SRV)
The protocol of the endpoint (udp/tcp/tls)
tcptlsudpSIP Endpoint weight (DNS SRV)
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ carrierSip/ {serviceName}/ endpoints/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "enableIncomingCalls": true, "id": 0, "ip": "192.0.2.0", "port": 0, "priority": 0, "protocol": "tcp", "weight": 0}
Get the settingsProduction
Path parameters
The name of your billingAccount
Response
The carrier SIP trunk description
The maximum call establishments per second on your carrier sip service
The maximum concurrent calls on your carrier sip service
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ carrierSip/ {serviceName}/ settings \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "maxCallsPerSecond": 0, "maxConcurrentCalls": 0}
Update the settingsProduction
Path parameters
The name of your billingAccount
Request body (required)
The carrier SIP trunk description
The maximum call establishments per second on your carrier sip service
The maximum concurrent calls on your carrier sip service
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ carrierSip/ {serviceName}/ settings \
-H "authorization: Bearer $OVH_TOKEN"List VNO mandatesProduction
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ carrierSip/ {serviceName}/ vno \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a VNO mandateProduction
Path parameters
The name of your billingAccount
The reference written on your VNO contract.
Response
Date at which the associated ranges will be routed.
The reference written on your VNO contract.
Example uses billingAccount = string, contractReference = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ carrierSip/ {serviceName}/ vno/ {contractReference} \
-H "authorization: Bearer $OVH_TOKEN"{ "applicationDate": "2024-01-01T12:00:00Z", "contractReference": "string"}
List mandate number rangesProduction
Path parameters
The name of your billingAccount
The reference written on your VNO contract.
Response
Example uses billingAccount = string, contractReference = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ carrierSip/ {serviceName}/ vno/ {contractReference}/ ranges \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a number rangeProduction
Path parameters
The name of your billingAccount
The reference written on your VNO contract.
The phone range prefix.
Response
The carrier SIP trunk description.
The phone range prefix.
Example uses billingAccount = string, contractReference = string, prefix = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ carrierSip/ {serviceName}/ vno/ {contractReference}/ ranges/ {prefix} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "prefix": "string"}
Update a number rangeProduction
Path parameters
The name of your billingAccount
The reference written on your VNO contract.
The phone range prefix.
Request body (required)
The carrier SIP trunk description.
The phone range prefix.
Response
Example uses billingAccount = string, contractReference = string, prefix = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ telephony/ {billingAccount}/ carrierSip/ {serviceName}/ vno/ {contractReference}/ ranges/ {prefix} \
-H "authorization: Bearer $OVH_TOKEN"